API

Orchestrator

Read and change your organization's orchestrator settings, and read today's model spend.

GET
/orchestrator

Response Body

application/json

application/json

curl -X GET "https://example.com/orchestrator"
{  "orgId": "string",  "name": "string",  "blurb": "string",  "model": "string",  "vendor": "anthropic",  "llmConnectorId": "string",  "effectiveVendor": "anthropic",  "assignableKeys": [    {      "llmConnectorId": "string",      "vendor": "string",      "displayName": "string"    }  ],  "assignedCredentialUsableForInference": true,  "modelsByVendor": {    "anthropic": [      {        "id": "string",        "label": "string"      }    ],    "openai": [      {        "id": "string",        "label": "string"      }    ],    "openrouter": [      {        "id": "string",        "label": "string"      }    ]  },  "defaultModel": "string",  "isBuiltin": true,  "inferenceEnabled": true,  "dailySpendUsd": 0,  "updatedAt": 0}
PATCH
/orchestrator

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/orchestrator" \  -H "Content-Type: application/json" \  -d '{}'
{  "orgId": "string",  "name": "string",  "blurb": "string",  "model": "string",  "vendor": "anthropic",  "llmConnectorId": "string",  "effectiveVendor": "anthropic",  "assignableKeys": [    {      "llmConnectorId": "string",      "vendor": "string",      "displayName": "string"    }  ],  "assignedCredentialUsableForInference": true,  "modelsByVendor": {    "anthropic": [      {        "id": "string",        "label": "string"      }    ],    "openai": [      {        "id": "string",        "label": "string"      }    ],    "openrouter": [      {        "id": "string",        "label": "string"      }    ]  },  "defaultModel": "string",  "isBuiltin": true,  "inferenceEnabled": true,  "dailySpendUsd": 0,  "updatedAt": 0}

How is this page?